Sign in

Template v2: Send test

POST https://{organization}.myguper.com/api/sender/template-v2/{id}/send-test

Renders the template against the message type's mockup payload and sends it to the given person through the template's bound provider. Useful to validate end-to-end delivery before activating a template in production.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Path parameters

Name Type Description
id * integer Template id.

Request body

Content-Type: application/json

{
    "person": 47
}

Responses

{ "ok": true }
Copied to clipboard